package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DicOrderState {

    public static final String PAY_WAIT = "待支付";
    public static final String PAY_SUCCESS = "已付款";
    public static final String FLAGPAY = "跳转到支付";


    private static DicOrderState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicOrderState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(PAY_WAIT, PAY_WAIT);
        dicMap.put(PAY_SUCCESS, PAY_SUCCESS);
        dicMap.put(FLAGPAY, FLAGPAY);
    }

    public static DicOrderState getInstacne(){
        if (instance == null)
        {
            instance = new DicOrderState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}

